unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdActns, ActnList, ImgList, ComCtrls, ToolWin;

const
  WM_AFTERSHOW = WM_USER + 1;

type
  TfrmMain = class(TForm)
    pgcTabs: TPageControl;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ActionList1: TActionList;
    ImageList1: TImageList;
    FileExit1: TFileExit;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    FileNew1: TAction;
    procedure FileNew1Execute(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
    procedure WMAfterShow(var Msg: TMessage); message WM_AFTERSHOW;
  public
    { Public-Deklarationen }
  end;

var
  frmMain: TfrmMain;

implementation

uses
  BaseTabModalFra, TabClientFra;

{$R *.dfm}

procedure TfrmMain.FileNew1Execute(Sender: TObject);
var
  Tab: TTabSheet;
  Frame: TfraTabClient;
begin
  Tab := TTabSheet.Create(Self);
  Tab.Caption := 'New Tab';
  Tab.PageControl := pgcTabs;

  Frame := TfraTabClient.Create(Tab);
  Frame.Align := alClient;
  Frame.Parent := Tab;

  pgcTabs.ActivePage := Tab;
end;

procedure TfrmMain.FormShow(Sender: TObject);
begin
  Randomize;
  FileNew1.Execute;
  FileNew1.Execute;
  pgcTabs.ActivePageIndex := 0;

  PostMessage(Handle, WM_AFTERSHOW, 0, 0);
end;

procedure TfrmMain.WMAfterShow(var Msg: TMessage);
begin
  // Enter the modal message loop for the main form
  ConvertThreadToFiber(nil);
  SwitchToModalMessageLoop;
end;

end.
